<?PHP
#
#   FILE:  DeleteBlogComplete.php (Blog plugin)
#
#   Part of the Metavus digital collections platform
#   Copyright 2015-2020 Edward Almasy and Internet Scout Research Group
#   http://metavus.net
#

CheckAuthorization(PRIV_SYSADMIN);

if ($_POST["Submit"] == "Delete") {
    $BlogPlugin = $GLOBALS["G_PluginManager"]->GetPluginForCurrentPage();
    $BlogId = intval($_POST["F_BlogId"]);
    $BlogPlugin->DeleteBlog($BlogId);
}

$GLOBALS["AF"]->SetJumpToPage("index.php?P=P_Blog_ListBlogs");
